//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-14 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:port_bit.h
//  wb_[t@C
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2016/11/27 New  Taishi
//*****************************************

// XCb`
#define	SW_ON_BIT		(1 << PIND3)

// XCb`̑ԁiSrbgj
#define			SW_ON_NOW			0x01		// XCb`ꂽB
#define			SW_OFF_SHORT		0x02		// XCb`ꂽBĂԂ͒Z
#define			SW_OFF_LONG			0x04		// XCb`ꂽBĂԂ͒
#define			SW_ON_CONTINUE		0x08		// XCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SW_ON				0x10		// XCb`ꑱĂBiĂ鎞͂̒loj
#define			SW_MASK				0x1f		// XCb`̐M𒊏o


// kdc
//  PD0: RED LED(H=ON, L=OFF)
#define	led_init()	DDRD |= (1 << DDD0)					// Port-D Bit0 : Output
#define	led_on()	PORTD |=  (1 << PD0)				// LED ON
#define	led_off()	PORTD &= ~(1 << PD0)				// LED OFF


extern	void	get_sw(void);
extern	void	sw_init(void);
extern	unsigned char	get_action_sw(void);
extern	void	wait_key_off(void);
extern	void	wait_sw_off(void);
