//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-14 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
// File Name:ad_conv.h
//  wb_[t@C
//
//  2016/11/27 New  Taishi
//*****************************************

#define	AD_NO			5						// Use A/D ch (0 -- 5,6,7)

#define	N_of_AD_data	8						// Q̊K̒lɌ

#if	AD_NO == 6
extern	int				ad6_ave;

extern	void			ad6_init(void);
extern	void			ad6_close(void);
extern	void			ad6_set_data(void);
extern	void			ad6_get_data(void);

#else
 #if	AD_NO == 5
extern	int				ad5_ave;

extern	void			ad5_init(void);
extern	void			ad5_close(void);
extern	void			ad5_set_data(void);
extern	void			ad5_get_data(void);

 #else

extern	int				ad0_ave;

extern	void			ad0_init(void);
extern	void			ad0_close(void);
extern	void			ad0_set_data(void);
extern	void			ad0_get_data(void);
 #endif
#endif
