//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-14 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:timer.h
//  wb_[t@C
//
//  2016/11/27 New  Taishi
//*****************************************

extern	void	delay_2us(unsigned char t);
extern	void	delay_ms(int tm);

// ************************ Timer 1 *************************
#define	PULSE_OUT_MIN			1
#define	PULSE_OUT_MAX			300						// ̒l͎gĂC_N^AedsŐ̂ŖłɕύXłȂ
#define	PULSE_OUT_DEFAULT		PULSE_OUT_MIN			// ̒l͎gĂC_N^AedsŐ̂ŖłɕύXłȂ
#define	PULSE_PERIOD_MAX		400					// ̒l͎gĂC_N^AedsŐ̂ŖłɕύXłȂ
#define	PULSE_PERIOD_DEFAULT	400					// ̒l͎gĂC_N^AedsŐ̂ŖłɕύXłȂ
#define	PULSE_UNIT_DEFAULT		0						// ̒l͎gĂC_N^AedsŐ̂ŖłɕύXłȂ
#define	N_of_PULSE_UNIT			5
#define	N_of_RUN_STAT			2
extern	int		pulse_out;
extern	int		pulse_period;
extern	int		pulse_unit;
extern	void	timer1_init(void);
extern	void	timer1_close(void);
extern	void	pulse_on(void);
extern	void	pulse_off(void);
extern	void	set_timer1_ontime(void);
extern	void	set_timer1_period(void);

// ************************ Timer 2 *************************
//#define		COUNT_1MS		250										// 1mS at 8MHz/32 = 250kHz(4uS)
#define		COUNT_05MS		125										// 0.5mS at 8MHz/32 = 250kHz(4uS)
//#define		D_TCCR2B	((1 << CS22) | (0 << CS21) | (0 << CS20))	// Timer Start (8MHz/64= 125kHz, 8uS)
#define		D_TCCR2B	((0 << CS22) | (1 << CS21) | (1 << CS20))	// Timer Start (8MHz/32= 250kHz, 4uS)
extern	unsigned char	tim_10ms_ad;					// `^cf[^擾pPOrPʃ^C}[
extern	unsigned char	tim_10ms_sw;					// XCb`͗pPOrPʃ^C}[
extern	unsigned char	tim_10ms_sw_length;				// XCb`pԂPOrPʃ^C}[@|P
extern	unsigned char	tim_10ms_sw_continue;			// XCb`pAPOrPʃ^C}[@|P
extern	unsigned char	tim_1s_no_key_timeup;			// L[͂Ȃ̃^CAbvp
extern	unsigned char	tim_10ms_blink;					// \uNpPOrPʃ^C}[
extern	unsigned char	tim_10ms_nixie;					// jLV[\̃^C~OpPOrPʃ^C}[
extern	void			timer2_init(void);
extern	void			timer2_close(void);
extern	unsigned char	proc_no_key_timeup(unsigned char on);
